Name:		munipack
Version:	1.2.10
Release:	1%{?dist}
Summary:	An astrophotometry software package
License:	GPLv2+
Group:		Applications/Engineering
URL:		http://c-munipack.sourceforge.net/
Source0:	http://dl.sf.net/%{name}/c%{name}-%{version}.tar.gz
Source1:	muniwin.desktop
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	cfitsio-devel, expat-devel, gtk2-devel
BuildRequires:	desktop-file-utils
Provides:	cmunipack = %{version}-%{release}

%description
The C-Munipack is an astrophotometry software package,
which offers a complete solution for reduction of images
carried out by CCD camera, intended on a observation of
variable stars. It provides a simple and intuitive graphical
user interface.

%package devel
Summary:	Libraries/include files for cmunipack
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Libraries/include files for cmunipack

%prep
%setup -q -n c%{name}-%{version}

%build
export CFLAGS="-I/usr/include/cfitsio %{optflags}" CXXFLAGS="-I/usr/include/cfitsio %{optflags}"
%configure --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make 

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
pushd $RPM_BUILD_ROOT%{_datadir}/pixmaps
ln -s ../cmunipack-1.2/icons/muniwin.png .
popd
desktop-file-install --dir %{buildroot}%{_datadir}/applications %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING INSTALL doc/
%{_bindir}/konve
%{_bindir}/munilist
%{_bindir}/meanbias
%{_bindir}/flatbat
%{_bindir}/helcor
%{_bindir}/muniphot
%{_bindir}/munimatch
%{_bindir}/meandark
%{_bindir}/biasbat
%{_bindir}/airmass
%{_bindir}/timebat
%{_bindir}/autoflat
%{_bindir}/kombine
%{_bindir}/darkbat
%{_bindir}/muniwin
%{_libdir}/libcmunipack*.so.*
%{_datadir}/c%{name}*/
%{_datadir}/applications/muniwin.desktop
%{_datadir}/pixmaps/muniwin.png
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*

%files devel
%defattr(-,root,root,-)
%{_libdir}/libcmunipack*.so
%{_includedir}/cmunipack-1.2/
%{_libdir}/pkgconfig/cmunipack-1.2.pc

%changelog
* Fri May 28 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 1.2.10-1
- update to 1.2.10
- disable static libs
- disable rpath
- add desktop file for muniwin

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.24-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jun  1 2008 Marek Mahut <mmahut@fedoraproject.org> - 1.1.24-1
- Project fork to cmunipack

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.3.1-3
- Autorebuild for GCC 4.3

* Fri Dec 07 2007 Lubomir Kundrak <lkundrak@redhat.com> - 0.3.1-2
- Fix build with high -j by removing mflags
- Let make use correct CFLAGS
- Use optflags also for fortran files

* Thu Nov 22 2007 Marek Mahut <mmahut@fedoraproject.org> - 0.3.1-1
- Initial build.
